<?php

namespace Drupal\codes_pool\Plugin\codes_pool\CodesStorage;

/**
 * Defines the base interface for collection.
 */
interface CodesStorageInterface {

  /**
   * Unlimited code.
   */
  const CODE_COUNT_UNLIMITED = -1;

  /**
   * Checks import is possible.
   *
   * @return bool
   *   TRUE if possible. FALSE otherwise.
   */
  public function hasImport();

  /**
   * Dispense a code.
   *
   * @return string
   *   The code.
   */
  public function dispenseCode();

}
